
@extends('layouts.nav')
@section('title')
Floors
@endsection
@section('content')               

@php
$PermissionsAddFloors = App\Models\PermissionsUserModel::getPermission('Add Floors', Auth::user()->id);
$PermissionsEditFloors = App\Models\PermissionsUserModel::getPermission('Edit Floors', Auth::user()->id);
$PermissionsDeleteFloors = App\Models\PermissionsUserModel::getPermission('Delete Floors', Auth::user()->id);
@endphp
<div class="d-sm-flex align-items-center justify-content-between mb-4">
                        <h1 class="h3 mb-0 text-gray-800">Property Floors</h1>
                      </div>
                  
                    <div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary"   id="formHeader">Create Floor</h6>
                        </div>
                        @if (session('success'))
                            <div class="alert alert-success" id="successMessage"  style="margin: 20px;">
                                {{ session('success') }}
                            </div>
                        @endif
                      
                        @if ($errors->any())

                                    <div class="form-group"  id="successMessage"  style="margin: 20px;">
                                        <div class="card bg-warning text-white shadow">
                                            <div class="card-body">
                                        
                                                @foreach ($errors->all() as $error)
                                                <div style="color: red; ">{{ $error }}</div>
                                                @endforeach
                                        
                                            </div>
                                        </div>
                                    </div>
                                    @endif
                            @if(!empty($PermissionsAddFloors))
                            <form class="card-body" action="{{route('addfloors')}}" method="post"  id="accountTypeForm">
                            @csrf
                            <input type="hidden" id="accountId" name="id" value="">
                                
                                <div class="form-group row">
                                    <div class="col-sm-4 mb-3 mb-sm-0">
                                    <input type="text" class="form-control form-control-user" id="name" placeholder="Floor Number" name="name"  value="{{ old('name') }}" required>
                                    
                                    </div>
                                    <div class="col-sm-4 mb-3 mb-sm-0">
                                        <input type="text" class="form-control form-control-user" id="space" placeholder="Space" name="space"  value="{{ old('space') }}" required>
                                    </div>
                                    <div class="col-sm-4">
                                        <input type="text" class="form-control form-control-user" id="rooms" placeholder="Rooms" name="rooms"  value="{{ old('rooms') }}" required   >
                                    </div>
                                </div>


                               <div style="display: flex;">
                               <input type="submit" style="width: 100px;height: 40px; margin-right: 10px; margin-top: 6px" value="Create" class="btn btn-primary btn-user btn-block" id="submitButton"/>

                                <input style="width: 100px;" onclick="refreshAccountType('', '', '', '')"  type="reset" value="Refresh" class="btn btn-secondary btn-user btn-block"  onclick="hideMessages()"/>
                                    
                               </div>
                                
                                <hr>
                             </form>
                             @endif
                   
                        
                        
                        <div class="card-body">
                            <div class="table-responsive">
                                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                                    <thead>
                                        <tr>
                                            <th>Floor Number</th>
                                            <th>Space</th>
                                            <th>Rooms</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                        
                                        
                                        <th>Floor Number</th>
                                            <th>Space</th>
                                            <th>Rooms</th>
                                            <th>Action</th>

                                        </tr>
                                    </tfoot>
                                    <tbody>
                                       
                                    @foreach ($floors as $floor)
                                            <tr>
                                        
                                                <td>{{ $floor->FloorNumber }}</td> 
                                                <td>{{ $floor->Space }}</td>
                                                <td>{{ $floor->Rooms }}</td>
                                               
                                                 

                                                <td style="justify-content: center; align-items: center;">
                                                    @if(!empty($PermissionsEditFloors))               
                                                    <a href="" onclick="editAccountType(event,'{{ $floor->ID }}', '{{ $floor->FloorNumber }}', '{{ $floor->Space }}', '{{ $floor->Rooms }}')"  class="btn btn-primary btn-circle" >
                                                    <i class="fas fa-edit"></i>
                                                    </a>
                                                    @endif
                                                    @if(!empty($PermissionsDeleteFloors))
                                                    <a href="{{ route('deletefloors', ['id' => $floor->ID]) }}" class="btn btn-danger btn-circle"   onclick="return confirmDelete('{{ $floor->FloorNumber }}');" >
                                                        <i class="fas fa-trash"></i>
                                                    </a>
                                                    @endif
                                                </td>
                                                
                                            </tr>
                                        @endforeach
                                           
                                    </tbody>
                                </table>
                            </div>
                        </div>
                        
                    </div>

                    <script>
                             function editAccountType(event, id, FloorNumber,Space, Rooms) 
                             {
                                event.preventDefault();
                                document.getElementById('accountId').value = id;
                                document.getElementById('name').value = FloorNumber;
                                document.getElementById('space').value = Space;
                                document.getElementById('rooms').value = Rooms;
                                document.getElementById('formHeader').innerText = 'Edit Floor';
                                document.getElementById('submitButton').value = 'Update';
                                document.getElementById('accountTypeForm').action = '{{route("editfloors")}}';
                            }
                
                            function refreshAccountType(id, FloorNumber,Space, Rooms) 
                            {
                                document.getElementById('accountId').value = id;
                                document.getElementById('name').value = FloorNumber;
                                document.getElementById('space').value = Space;
                                document.getElementById('rooms').value = Rooms;
                                document.getElementById('formHeader').innerText = 'Create Floor';
                                document.getElementById('submitButton').value = 'Create';
                                document.getElementById('accountTypeForm').action = '{{route("addfloors")}}';
                                hideMessages();
                            
                            }

                            function confirmDelete(Name) {
                                return confirm("Are you sure you want to delete the Floor: " + Name + "?");
                            }


                
                </script>

                    @endsection